Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkOKElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<R>
                      org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler<OK>
                          org.semanticweb.owlapi.owllink.parser.OWLlinkOKElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<OK>, OWLlinkResponseElementHandler<OK>

    public class OWLlinkOKElementHandler

extends AbstractOWLlinkKBResponseElementHandler<OK>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 22.10.2009

Constructor Summary
`OWLlinkOKElementHandler(OWLXMLParserHandler handler)`

Method Summary
`OK` | `getOWLLinkObject()`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler
`getRequest, startElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler
`attribute`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler
`endElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### OWLlinkOKElementHandler

    public OWLlinkOKElementHandler(OWLXMLParserHandler handler)

Method Detail

### getOWLLinkObject

    public OK getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<OK>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<OK>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD